SET FEEDBACK OFF
ALTER TABLE ABBREVIATION ADD (CONSTRAINT unq_ABBREVIATION1
   UNIQUE (TYPE_CODE, FULL_WORD, ABBREV_WORD));
ALTER TABLE ATTRIBUTE ADD (CONSTRAINT unq_ATTRIBUTE1
   UNIQUE (PARENT_ENT, ATTRIBUTE_NM));
CREATE INDEX index_ATTRIBUTE1 ON ATTRIBUTE (FORWARD_S);
CREATE INDEX index_ATT_COL_GRP_MAP1 ON ATT_COL_GRP_MAP (COLUMN_GROUP_S);
CREATE INDEX index_att_col_grp_map2 ON att_col_grp_map (ATTRIBUTE_S);
CREATE INDEX index_CHANGED_OBJECT1 ON CHANGED_OBJECT (OBJECT_T, OBJECT_S);
ALTER TABLE CHANGE_REQUEST ADD (CONSTRAINT unq_CHANGE_REQUEST1
   UNIQUE (REQUEST_NR));
ALTER TABLE COLUMN_DEF ADD (CONSTRAINT unq_COLUMN_DEF1
   UNIQUE (PARENT_TABLE_S, COLUMN_DEF_NM));
CREATE INDEX index_COLUMN_DEF1 ON COLUMN_DEF (RELATED_ENT_S);
CREATE INDEX index_column_def2 ON column_def (RELATED_TABLE_S);
CREATE INDEX index_COLUMN_GROUP1 ON COLUMN_GROUP (COLUMN_DEF_S);
CREATE INDEX index_column_group2 ON column_group (HEAD_COL_GRP_S);
CREATE INDEX index_DIAGRAM_SET1 ON DIAGRAM_SET (ENTITY_DEF_S);
ALTER TABLE ENTITY_DEF ADD (CONSTRAINT unq_ENTITY_DEF1
   UNIQUE (ENTITY_DEF_NM));
ALTER TABLE ENUM_TYPE ADD (CONSTRAINT unq_ENUM_TYPE1
   UNIQUE (PARENT_TYPE_DEF_S, LIST_MEMBER));
ALTER TABLE EPIC_TYPE ADD (CONSTRAINT unq_EPIC_TYPE1
   UNIQUE (EPIC_NAME));
CREATE INDEX index_OBJ_DESC1 ON OBJ_DESC (OBJECT_S, OBJECT_T);
ALTER TABLE PROD_VERSN ADD (CONSTRAINT unq_PROD_VERSN1
   UNIQUE (PROD_VERSN_NM));
CREATE INDEX index_PROJECTION_MAP1 ON PROJECTION_MAP (REF_PROJ_METH, MAP_SOURCE_S);
CREATE INDEX index_projection_map2 ON projection_map (REF_PROJ_METH, MAP_TARGET_S);
ALTER TABLE REF_COLUMN_GRP ADD (CONSTRAINT unq_REF_COLUMN_GRP1
   UNIQUE (REF_COLUMN_GRP_NM));
ALTER TABLE REF_DUPL_METHOD ADD (CONSTRAINT unq_REF_DUPL_METHOD1
   UNIQUE (DUPL_METHOD_NM));
ALTER TABLE REF_OBJECT ADD (CONSTRAINT unq_REF_OBJECT1
   UNIQUE (OBJ_TYPE));
ALTER TABLE REF_OBJECT ADD (CONSTRAINT unq_REF_OBJECT2
   UNIQUE (REF_OBJECT_NM));
ALTER TABLE REF_PROJ_METHOD ADD (CONSTRAINT unq_REF_PROJ_METHOD1
   UNIQUE (REF_PROJ_METHOD_NM));
ALTER TABLE REF_RULE_TYPE ADD (CONSTRAINT unq_REF_RULE_TYPE1
   UNIQUE (REF_RULE_TYPE_NM));
CREATE INDEX index_RULES1 ON RULES (RULE_TYPE, ENT_OR_TYPE_S);
CREATE INDEX index_rules2 ON rules (RULE_TYPE, ATTRIBUTE_S);
ALTER TABLE SCHEMA_DEF ADD (CONSTRAINT unq_SCHEMA_DEF1
   UNIQUE (SCHEMA_DEF_NM));
ALTER TABLE SELECT_TYPE ADD (CONSTRAINT unq_SELECT_TYPE1
   UNIQUE (PARENT_TYPE_DEF_S, ENT_OR_TYPE_CODE, ENT_OR_TYPE_S));
ALTER TABLE SOURCE ADD (CONSTRAINT unq_SOURCE1
   UNIQUE (SOURCE_NM));
ALTER TABLE SQL_TYPE ADD (CONSTRAINT unq_SQL_TYPE1
   UNIQUE (SQL_TYPE_NM));
CREATE INDEX index_SUPERSUB1 ON SUPERSUB (ORIGIN_S);
CREATE INDEX index_supersub2 ON supersub (SUPER_S);
CREATE INDEX index_supersub3 ON supersub (SUB_S);
ALTER TABLE TABLE_DEF ADD (CONSTRAINT unq_TABLE_DEF1
   UNIQUE (TABLE_DEF_NM));
ALTER TABLE TYPE_DEF ADD (CONSTRAINT unq_TYPE_DEF1
   UNIQUE (TYPE_DEF_NM, SCHEMA_DEF_S));

exit;
